Subject: Status of Connect/Disconnect group, continuing work

From: "Alan K. Bartky, Manager of Technology" <[email-masked]>
Date: Thu, 2 Sep 93 16:24:23 PDT

Fellow Connect/Disconnectors:

Greetings:

I apologize for not sending mail earlier as August has been
a very busy month what with Interop and our company starting
a new batch of products.

We are now just a few weeks from the AIW meeting and I would
at least like to publish a list of what we have agreed upon needs
work, and then start assigning work.

After sending out the last poll (questions on group goals), I have 
come to the follwing conclusions as far as group consensus.

###########################
# Group Consensus Results #
###########################

The DLSw state machine should be modified/enhanced rather
than redesigned in order to provide the full SNA connectivity and NETBIOS
connectivity desired.

There was an issue concerning UI frames for NETBIOS, but the reason for carrying the UI frames within the same TCP/IP connection (rather than
seperately routed) was addressed by IBM.

The DLSw state machine was described as being one that should not have
to deal with of the remote end station specifics, and only deal with
the local Link Stations and how they interact with the SSP State Machine
in the local router.  

               SDLC or LLC		SSP             SDLC or LLC
    Station A <------------> Router X <-----> Router Y <------------>

In keeping it this way not only agrees with group consensus, it also makes
the main design work at hand to making sure the state machine can properly deal with all the real work situations that is thrown at it.  By then 
FULLY documenting the state machine, its timers, events, transitions and results the RFC can be modified so that it can be modified.

There has been discussion on handling multiple SAPs (which there was no
disagreement in supporting).  The initial work is good, but we need to keep
at it.

There has not been consensus on working other PU types than type 1, 2.0 and
2.1 for SNA.  We should continue to work on those PU types only.

There has been addition mail concerning this group dealing with the TCP
connection methods (i.e. number of connections, how to manage etc.).  I
believe again that we should document how it is done currently in the 
6611 and then work with the Priority Siglet on any issues they have (there
has been mail in that group concerning multiple TCP connections).

#############################
# Where to go from here     #
#############################

We only have three weeks till the next meeting.  I propose that we keep
our goals simple.

Proposed Agenda:

Week Ending 9/9/93:

A review of RFC1434 concentrating on where the state machine is
not documented, needs changes, improvements etc.  I am requesting that
members from IBM submit any documents or text they can to clarify
the state machine (if any exists and they are willing to submit it).
I am also requesting that specific questions be asked, especially by 
companies who are currently implementing (or trying to implement) DLSw.
I would then like someone from IBM answer those questions (as they know
how DLSw is implemented whereas us readers can often only guess).
With those questions, hopefully we can figure out how to modify the RFC to clarify any outstanding issues.

Week Ending 9/16/93:

(I will be on vacation this week and would like a volunteer for a
temporary chair of the group to keep the work going).

This week should continue the work with serious discussions and with
the goal to identify what needs to be changed to the RFC, and how to
continue as a working group.  We should be able to identify what needs to be
done as specific action items.

Week Ending 9/24/93:

As soon as I can I will catch up on the mail and issue a preliminary report
to the main DLSw mail exploder.  This week should be used for continuing
discussion with the goal of setting a working group agenda for the 
AIW meeting.

Week Ending 10/1/93

AIW meeting in Raleigh.

We still have a lot of work ahead, but I feel the group has made good
progress on agreeing on basic goals.  With that we should proceed and
start at the real work at hand which is writing a document that 
defines an enhanced fully documented DLSw that is fully implementable
by all vendors.

I would like all "active" members to comment on my proposed agenda.

Thank you,
Alan K. Bartky
Sync Research
Chair, Connect/Disconnect DLSw working group